body{
    font-family: Verdana, sans-serif;
    background: url('../img/main-background.png') no-repeat center center fixed;
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;}

.main-header {
    width: 100%;
    height: 56px;
    background: rgba(0, 0, 0, 0.5);
    /*display: flex;*/
    /*align-items: center;*/
    padding: 18px 80px;
    box-sizing: border-box;
}
.clearfix::after {
    content: "";
    display: block;
    clear: both;
}
.header-left{
    float: left;
    color: white;
    font-size: 20px;
    font-weight: bold;
    text-transform: uppercase;
    text-decoration: none;
}
.header-right{
    float: right;
}
.icon-forum, .icon-google, .icon-journey, .icon-calendar, .icon-facebook {
    display: inline-block;
    background: url("../img/icons.png") no-repeat;
    overflow: hidden;
    /*text-indent: -9999px;*/
    text-align: left;
    vertical-align: middle;
}
.icon-forum:hover { background-position: -20px -0px; width: 28px; height: 20px; }
.icon-forum { background-position: -20px -40px; width: 28px; height: 20px; }
.icon-journey:hover { background-position: -20px -116px; width: 20px; height: 20px; }
.icon-journey { background-position: -20px -156px; width: 20px; height: 20px; }
.icon-calendar:hover { background-position: -20px -196px; width: 19px; height: 19px; }
.icon-calendar { background-position: -20px -235px; width: 19px; height: 19px; }
.icon-facebook {
    background-position: -20px -270px; width: 10px; height: 28px;
    padding-right: 17px;
    border-right: 1px solid #2b54a5;
}
.icon-google {
    background-position: -20px -74px; width: 25px; height: 28px;
    padding-right: 9px;
    border-right: 1px solid #c8422d;
}
.icon-forum, .icon-journey, .icon-calendar {
    margin-right: 25px;
}
.header-welcome{
    display: inline-block;
    color: white;
    font-size: 14px;
}
.header-welcome:before{
    content: "|";
    margin-right: 25px;
    color: #33302e;
    font-size: 18px;
}
.header-welcome>a {
    text-decoration: none;
    color: #367e56;
}
.header-left:hover, .header-welcome>a:hover {
    color: #3cb878;
}
.signup{
    width: 445px;
    height: 585px;
    background-color: white;
    position: absolute;
    top: calc(50% + (56px / 2));
    left: 50%;
    transform: translate(-50%, -50%);
    border-radius: 8px;
    box-shadow: 3px 3px 20px rgba(0,0,0,0.8);
    padding: 28px 60px;
    box-sizing: border-box;
}
.decoration-square {
    width: 18px;
    height: 18px;
    background-color: #3cb878;
    position: absolute;
    left: 0;
    top: 30px;
}
.signup-header{
    margin-bottom: 18px;
}
.signup-header>h2{
    font-size: 19px;
    color: #434343;
    float: left;
}
.signup-header>a{
    text-decoration: none;
    font-size: 14px;
    color: #3cb878;
    float: right;
    margin-top: 5px;
}
.signup-header>a:hover{
    text-decoration: underline;
}
.signup-buttons{
    margin-bottom: 32px;
}
.facebook-btn, .google-btn{
    height: 46px;
    width: 157px;
    font-size: 16px;
    color: white;
    box-sizing: border-box;
    border-radius: 3px;
    text-decoration: none;
    position: relative;
    transition: all 0.2s;
}
.facebook-btn{
    background-color: #305db8;
    float: left;
    padding: 9px 20px;
}
.facebook-btn:hover{
    background-color: #264b96;
}
.facebook-btn:hover .icon-facebook{
    border-color: #224387;
}
.google-btn{
    background-color: #df4a32;
    float: right;
    padding: 9px 15px;
}
.google-btn:hover{
    background-color: #c3412c;
}
.google-btn:hover .icon-google{
    border-color: #af3a28;
}
.facebook-btn>span{
    vertical-align: middle;
    padding-left: 8px;
}
.google-btn>span{
    vertical-align: middle;
    padding-left: 16px;
}
.signup-separator{
    font-size: 14px;
    text-align: center;
    color: #848484;
    margin-bottom: 18px;
    overflow: hidden;
}
.signup-separator:before, .signup-separator:after{
    content: "";
    position: relative;
    display: inline-block;
    height: 1px;
    vertical-align: middle;
    width: 50%;
    background-color: #eaeaea;
}
.signup-separator:before{
    margin-left: -100%;
    margin-right: 18px;
}
.signup-separator:after{
    margin-right: -100%;
    margin-left: 18px;
}
.register-form-input-field{
    font-size: 14px;
    color: #434343;
    height: 46px;
    width: 100%;
    margin-bottom: 9px;
    border: 1px solid #eaeaea;
    border-radius: 3px;
    text-indent: 18px;
    box-sizing: border-box;
    transition: all 0.3s;
}
.register-form-input-field::placeholder{
    color: #bebebe;
}
.register-form-input-field:focus{
    box-shadow: 2px 4px 6px -1px rgba(0,0,0,0.1), -2px 4px 6px -1px rgba(0,0,0,0.1);
    transform: translateY(-5px);
    outline: none;
}
.register-form-check-terms{
    margin-top: 12px;
    margin-bottom: 26px;
}
.register-form-check-terms>input{
    display: none;
}
.custom-checkbox:before{
    content: "";
    width: 20px;
    height: 20px;
    border: 1px solid #eaeaea;
    border-radius: 3px;
    display: inline-block;
    box-sizing: border-box;
    margin-right: 10px;
    vertical-align: middle;
    /*Костыль для вертикального выравнивания*/
    position: relative;
    bottom: 1px;
}
.register-form-check-terms>input:checked + .custom-checkbox:before{
    content: "";
    background: url("../img/checkbox.png") 2px 4px no-repeat;
}
.custom-checkbox{
    font-size: 14px;
    color: #434343;
    cursor: pointer;
}
.custom-checkbox>a{
    text-decoration: none;
    color: #56c18a;
}
.custom-checkbox>a:hover{
    text-decoration: underline;
}
.register-form-button{
    font-size: 16px;
    height: 46px;
    width: 100%;
    color: white;
    background-color: #3cb878;
    border: none;
    border-radius: 3px;
    cursor: pointer;
    transition: all 0.2s;
}
.register-form-button:hover{
    background-color: #329a65;
}

